#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DPOSIX
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../../..
  ${CMAKE_CURRENT_SOURCE_DIR}/../../third_party/ortp
  ${CMAKE_CURRENT_SOURCE_DIR}/../../third_party/mediastreamer
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GLIB2_INCLUDE_DIRS}
  ${SPEEX_INCLUDE_DIRS}
)


##### cricketsessionphone (static) ##############

tde_add_library( cricketsessionphone STATIC_PIC
  SOURCES
    audiomonitor.cpp channelmanager.cpp voicechannel.cpp call.cpp
    phonesessionclient.cpp linphonemediaengine.cpp
)
